{% extends 'base.html' %}
{% load static %}

{% block content %}
<div class="about-container">
    <div class="left-side d-flex flex-column justify-content-start">
             
        <!-- Header Text -->
        <div class="header-about ml-5 mt-3">
            <h3>Sign In</h3>
        </div>
        
        <!-- Navbar -->
        <div class="navbar ml-5 mt-3">
            {% include 'navbar.html' %}
        </div>
    </div>

    <div class="main-story9 d-flex flex-column justify-content-center">
        <div class="row ">


            <div class="right-page col">
                {% if user.is_authenticated == False %}
                <div class="login content mx-5 my-3">
                    {% if messages %}
                    {% for message in messages %}
                    <div class="alert alert-{{ message.tags }} alert-danger mt-4" role="alert">
                        {{ message }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    {% endfor %}
                    {% endif %}
                    <div class="title">
                        <h3>Sign in</h3>
                    </div>

                    <div class="login-form">
                        <form method="POST">
                            {% csrf_token %}
                            {{ form }}

                            <div>
                                <button type="submit" name="btn-login" id="btn-logIn"
                                    class="btn btn-dark mt-4">LOGIN</button>
                            </div>
                        </form>
                    </div>

                    <div class="info mt-5">
                        <p>
                            Don't have an account? <a class="sign-up-in-link" href="{% url 'story9:signup' %}"><strong>Sign
                                    up.</strong></a>
                        </p>
                    </div>
                </div>

                {% else %}
                <div class="success mt-5 ml-5">
                    <div class="btn-logout">
                        <form action="{% url 'story9:logout' %}">
                            <input type="submit" id="btn-logOut" class="btn btn-dark" value="Log out">
                        </form>
                    </div>

                    <div class="greeting mt-5">
                        <h3>Welcome,</h3>
                        <h1 style="font-weight: 800px;"><span class="highlight">{{user.username}}.</span></h1>
                    </div>
                </div>

                </div>
                {% endif %}
            </div>
        </div>
    </div>

{% endblock content %}